'use strict';

const tableConfig = require('./table-config-d70a1046.js');
const viewConfig = require('./view-config-1ef57be5.js');

class DetailViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(DetailViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    return model;
  }
}

exports.DetailViewConfig = DetailViewConfig;
